<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/producto_variacion.php';
$response = array();

if (!isset($_POST['id_producto'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_producto = $_POST['id_producto']; 

$producto_variacion = ProductoVariacion::mdlGetProductoVariacionByIdProductoPadre($id_producto_padre);

if (!$producto_variacion) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontró producto_variacion';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $producto_variacion;
echo json_encode($response);